* stochastic parameters

SCALAR stochastic_realization   'number of stochastic realizations of risk function for stochastic model versions'
        / 20000 / ;

SCALAR rho      'risk aversion measure'
        / 1.0 / ;

SCALAR eta      'opportunity measure'
        / 1.0 / ;

SCALAR beta      'risk confidence level'
        / 0.95 / ;

SCALAR f                         'fraction of expected costs for risk avoidance (risk premium)'
        / 0.01 / ;

PARAMETER f_period(period)       'fraction of expected costs for risk avoidance (risk premium) per period'
/        2010    0.01
         2020    0.01
         2030    0.01
         2040    0.01
         2050    0.01
         2060    0.01
         2070    0.01
         2080    0.01
         2090    0.01
         2100    0.01
/ ;

SCALAR cost_base_total           'total cost of baseline relative to which risk premium f is specified'
        / 8.485215E+4 / ;

PARAMETER cost_base(period)      'cost of baseline per period relative to which risk premium f is specified'
        / / ;

SCALAR risk_base_total            'base line total (dicounted) risk function value'
        / 1E+10 / ;

SCALAR risk_max_total            'maximum total (dicounted) risk function value'
        / 1E+10 / ;

PARAMETER risk_max(period)      'maximum risk function value'
        / / ;

SCALAR cvar_max_total      'maximum (total) conditional value at risk (CVaR)'
        / 1E+10 / ;

PARAMETER cvar_max(period)      'maximum conditional value at risk (CVaR)'
        / / ;

PARAMETER inv_cost_stoch(stochastic_scenario_all, model_region, technology, year)
/
/ ;

PARAMETER dec_cost_stoch(stochastic_scenario_all, model_region, technology, year)
/
/ ;

PARAMETER fix_cost_stoch(stochastic_scenario_all, model_region, technology, year)
/
/ ;

PARAMETER var_cost_stoch(stochastic_scenario_all, model_region, technology, year)
/
/ ;

PARAMETER tax_energy_total_stoch(stochastic_scenario_all, energycarrier, period)
/
/ ;

PARAMETER tax_energy_regional_stoch(stochastic_scenario_all, model_region, energycarrier, period)
/
/ ;

PARAMETER tax_energy_sectoral_stoch(stochastic_scenario_all, model_region, sector, energycarrier, period)
/
/ ;

PARAMETER tax_emission_cumulative_stoch(stochastic_scenario_all, emission)
/
/ ;

PARAMETER tax_emission_total_stoch(stochastic_scenario_all, emission, period)
/
/ ;

PARAMETER tax_emission_regional_stoch(stochastic_scenario_all, model_region, emission, period)
/
/ ;

PARAMETER tax_emission_sectoral_stoch(stochastic_scenario_all, model_region, sector, emission, period)
/
/ ;
